
public class Boat implements IBoat {
	int size;
	int top, left;
	boolean isHoriz;
	Boat(int size, int top, int left, boolean isHoriz) {
		this.size = size;
		this.top = top;
		this.left = left;
		this.isHoriz = isHoriz;
	}
	
	public IResponse opponentHits(View<HPeg> home, int row, int col) {
		int count = 0;
		for (int i = 0; i < size; i++) { 
		  if (home.a[top + (isHoriz ? 0 : i)][left + (isHoriz ? i : 0)].isHitAlready())
			  count = count + 1;
		}
		if ((count == size - 1)
			&& !home.a[row][col].isHitAlready())
			return new Sink(size);
		else
			return new Hit(); 
	}

	public boolean canHit() { return true; }
}
