import tester.*;

public class Examples {
	APeg amiss = new APeg(false);
	APeg ahit = new APeg(true);
	APeg[][] a = { { amiss, amiss }, { amiss, ahit }};
	View<APeg> away1 = new View<APeg>(a);
	IBoat none = new NoBoat();
	HPeg blank = new HPeg(none, false);
	IBoat boat1 = new Boat(2, 1, 0, true);
	HPeg[][] h = { { blank, blank }, { new HPeg(boat1, false), new HPeg(boat1, true) }};
	View<HPeg> home1 = new View<HPeg>(h);
	Board board1 = new Board(away1, home1, true);
	HPeg[][] h2 = { { blank, blank }, { new HPeg(boat1, true), new HPeg(boat1, true) }};
	View<HPeg> home2 = new View<HPeg>(h2);
	
	void tests(Tester t) {
		t.checkExpect(board1.opponentHits(0, 0), new Miss());
		t.checkExpect(board1.opponentHits(1, 1), new Hit());
		t.checkExpect(board1.opponentHits(1, 0), new Sink(2));

		t.checkExpect(board1.opponentUpdate(1, 0), new Board(away1, home2, true));
		t.checkExpect(board1.opponentUpdate(0, 0), board1);
		t.checkExpect(board1.opponentUpdate(1, 1), board1);
	}
}
